<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.1) on Sun Jan 12 21:47:51 EST 2020 -->
<title>ContextBuilder (protean-core 1.0.1 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-01-12">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ContextBuilder (protean-core 1.0.1 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">io.gitlab.littlesaints.protean.context</a></div>
<h2 title="Class ContextBuilder" class="title">Class ContextBuilder&lt;E,&#8203;P,&#8203;R&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>io.gitlab.littlesaints.protean.context.ContextBuilder&lt;E,&#8203;P,&#8203;R&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>P</code> - the getType of payload to submit for execution.</dd>
</dl>
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.util.function.Supplier&lt;<a href="../Context.html" title="interface in io.gitlab.littlesaints.protean">Context</a>&lt;P,&#8203;R&gt;&gt;</code></dd>
</dl>
<hr>
<pre>public final class <span class="typeNameLabel">ContextBuilder&lt;E,&#8203;P,&#8203;R&gt;</span>
extends java.lang.Object
implements java.util.function.Supplier&lt;<a href="../Context.html" title="interface in io.gitlab.littlesaints.protean">Context</a>&lt;P,&#8203;R&gt;&gt;</pre>
<div class="block">A builder for <a href="../Context.html" title="interface in io.gitlab.littlesaints.protean"><code>Context</code></a>.
 An instance of this class can be created using <a href="#newInstance(java.lang.String,io.gitlab.littlesaints.protean.configuration.Configuration)"><code>newInstance(String, Configuration)</code></a>.
 The class provides various methods to build a <a href="../Context.html" title="interface in io.gitlab.littlesaints.protean"><code>Context</code></a>.
 <p>
 This class is NOT thread-safe.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>0.1</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../Context.html" title="interface in io.gitlab.littlesaints.protean"><code>Context</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code><a href="../EventExecutor.html" title="interface in io.gitlab.littlesaints.protean">EventExecutor</a>&lt;<a href="ContextBuilder.html" title="type parameter in ContextBuilder">P</a>,&#8203;<a href="ContextBuilder.html" title="type parameter in ContextBuilder">R</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#buildExecutor()">buildExecutor</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code><a href="../Context.html" title="interface in io.gitlab.littlesaints.protean">Context</a>&lt;<a href="ContextBuilder.html" title="type parameter in ContextBuilder">P</a>,&#8203;<a href="ContextBuilder.html" title="type parameter in ContextBuilder">R</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#get()">get</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>static &lt;E,&#8203;P,&#8203;R&gt;<br><a href="ContextBuilder.html" title="class in io.gitlab.littlesaints.protean.context">ContextBuilder</a>&lt;E,&#8203;P,&#8203;R&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#newInstance(java.lang.String,io.gitlab.littlesaints.protean.configuration.Configuration)">newInstance</a></span>&#8203;(java.lang.String&nbsp;contextName,
           <a href="../configuration/Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a>&nbsp;configuration)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="newInstance(java.lang.String,io.gitlab.littlesaints.protean.configuration.Configuration)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>newInstance</h4>
<pre class="methodSignature">public static&nbsp;&lt;E,&#8203;P,&#8203;R&gt;&nbsp;<a href="ContextBuilder.html" title="class in io.gitlab.littlesaints.protean.context">ContextBuilder</a>&lt;E,&#8203;P,&#8203;R&gt;&nbsp;newInstance&#8203;(java.lang.String&nbsp;contextName,
                                                                                <a href="../configuration/Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a>&nbsp;configuration)</pre>
</li>
</ul>
<a id="buildExecutor()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>buildExecutor</h4>
<pre class="methodSignature">public&nbsp;<a href="../EventExecutor.html" title="interface in io.gitlab.littlesaints.protean">EventExecutor</a>&lt;<a href="ContextBuilder.html" title="type parameter in ContextBuilder">P</a>,&#8203;<a href="ContextBuilder.html" title="type parameter in ContextBuilder">R</a>&gt;&nbsp;buildExecutor()</pre>
</li>
</ul>
<a id="get()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>get</h4>
<pre class="methodSignature">public&nbsp;<a href="../Context.html" title="interface in io.gitlab.littlesaints.protean">Context</a>&lt;<a href="ContextBuilder.html" title="type parameter in ContextBuilder">P</a>,&#8203;<a href="ContextBuilder.html" title="type parameter in ContextBuilder">R</a>&gt;&nbsp;get()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>get</code>&nbsp;in interface&nbsp;<code>java.util.function.Supplier&lt;<a href="ContextBuilder.html" title="type parameter in ContextBuilder">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
